List available models
Lists the organization's models shared with a project, which the project may adopt, and what it adopted of them.
GET
Lists the organization's models shared with a project, which the project may adopt, and what it adopted of them.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
availableModels*array<>The models, oldest first.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/projects/string/availableModels'Example Response
{
"availableModels": [
{
"adoptedModel": "string",
"alias": "string",
"displayName": "string",
"formats": [
"ANTHROPIC_MESSAGES"
],
"info": {
"contextWindow": 0,
"deprecated": true,
"displayName": "string",
"inputs": [
"string"
],
"maxInputTokens": 0,
"maxOutputTokens": 0,
"pricing": {
"cacheRead": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"cacheWrite": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"input": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"output": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
}
},
"reasoning": true,
"reasoningEfforts": [
"string"
],
"structuredOutput": true,
"toolCalls": true
},
"model": "string",
"pricing": {
"cacheRead": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"cacheWrite": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"input": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"output": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"pricedLike": {
"provider": "string",
"providerModel": "string"
}
},
"providerModel": "string",
"providerType": "string"
}
],
"nextPageToken": "string"
}